## hwinfo 7.30

=== Makefile ===
TOPDIR		= $(CURDIR)
SUBDIRS		= src
TARGETS		= hwinfo hwscan
CLEANFILES	= hwinfo hwinfo.static hwscan hwscan.static doc/libhd doc/*~
LIBDIR		= /usr/lib

include Makefile.common

SHARED_FLAGS	=
OBJS_NO_TINY	= names.o parallel.o modem.o

.PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc

hwscan: hwscan.o $(LIBHD)
	$(CC) hwscan.o $(LDFLAGS) -lhd -o $@

hwinfo: hwinfo.o $(LIBHD)
	$(CC) hwinfo.o $(LDFLAGS) -lhd -o $@

# kept for compatibility
shared:
	@make

tiny:
	@make EXTRA_FLAGS=-DLIBHD_TINY SHARED_FLAGS=

diet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DDIET" SHARED_FLAGS=

tinydiet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DDIET" SHARED_FLAGS=

uc:
	@make CC="/opt/i386-linux-uclibc/usr/bin/gcc" EXTRA_FLAGS="-fno-pic -DUCLIBC" SHARED_FLAGS=

tinyuc:
	@make CC="/opt/i386-linux-uclibc/usr/bin/gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DUCLIBC" SHARED_FLAGS=

static:
	@make SHARED_FLAGS=

fullstatic: static
	$(CC) -static hwinfo.o $(LDFLAGS) -lhd -o hwinfo.static
	$(CC) -static hwscan.o $(LDFLAGS) -lhd -o hwscan.static
	strip -R .note -R .comment hwinfo.static
	strip -R .note -R .comment hwscan.static

doc:
	@cd doc ; doxygen libhd.doxy

install:
	install -d -m 755 $(DESTDIR)/usr/sbin $(DESTDIR)$(LIBDIR) \
		$(DESTDIR)/usr/include $(DESTDIR)/etc/init.d
	install -m 755 -s hwinfo $(DESTDIR)/usr/sbin
	install -m 755 -s hwscan $(DESTDIR)/usr/sbin
	install -m 755 -s src/ids/check_hd $(DESTDIR)/usr/sbin
	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
	if [ -f $(LIBHD_SO) ] ; then \
		install $(LIBHD_SO) $(DESTDIR)$(LIBDIR) ; \
		ln -snf libhd.so.$(LIBHD_VERSION) $(DESTDIR)$(LIBDIR)/libhd.so.$(LIBHD_MAJOR_VERSION) ; \
		ln -snf libhd.so.$(LIBHD_MAJOR_VERSION) $(DESTDIR)$(LIBDIR)/libhd.so ; \
	else \
		install -m 644 $(LIBHD) $(DESTDIR)$(LIBDIR) ; \
	fi
	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
	install -m 755 hwbootscan $(DESTDIR)/usr/sbin
	install -m 755 hwbootscan.rc $(DESTDIR)/etc/init.d/hwscan

=== src/Makefile ===
TOPDIR		= ..
SUBDIRS		= hd isdn ids
TARGETS		= touch $(LIBHD) $(LIBHD_SO)
CLEANFILES	= $(LIBHD) $(LIBHD_D) $(LIBHD_SO) libhd.so*

.PHONY: touch

include $(TOPDIR)/Makefile.common

ifneq "$(findstring $(ARCH), i386 x86_64 ia64)" ""
SUBDIRS	+= int10
endif

#ifeq "$(findstring $(ARCH), i386 alpha)" ""
#SUBDIRS	:= $(filter-out pnpdump, $(SUBDIRS))
#endif

$(LIBHD): $(OBJS)
	ar r $@ $?
	@rm -f $(LIBHD_D)

ifdef SHARED_FLAGS
$(LIBHD_SO): $(LIBHD)
	echo $(SHARED_FLAGS)
	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
		-Wl,-soname=libhd.so.$(LIBHD_MAJOR_VERSION) \
		-o $(LIBHD_SO) 
	ln -snf libhd.so.$(LIBHD_VERSION) libhd.so.$(LIBHD_MAJOR_VERSION)
	ln -snf libhd.so.$(LIBHD_MAJOR_VERSION) libhd.so
else
$(LIBHD_SO):
endif

subdirs: touch

touch:
	@touch -r $(LIBHD) $(LIBHD_D) 2>/dev/null || true

=== src/ids/Makefile ===
TOPDIR		= ../..
TARGETS		= $(LIBHD_D)
CLEANFILES	= *.log src/*~
DISTCLEANFILES	= *.h *.xml *.ids check_hd

include $(TOPDIR)/Makefile.common

ifeq "$(ARCH)" "ia64"
IDFILES += src/ia64
endif

IDFILES	+= src/bus src/class src/extra src/special src/scanner src/network \
	  src/usb src/usb2 src/isapnp src/monitor src/camera src/tv src/dvb \
	  src/chipcard src/modem src/pcmcia src/s390

ifeq "$(ARCH)" "i386"
IDFILES += src/x11.i386
endif

ifeq "$(ARCH)" "ppc"
IDFILES += src/x11.ppc src/x11.ppc.special
endif

ifeq "$(ARCH)" "alpha"
IDFILES += src/x11.axp
endif

ifeq "$(ARCH)" "sparc"
IDFILES += src/x11.sparc
endif

ifeq "$(ARCH)" "sparc64"
IDFILES += src/x11.sparc
endif

ifeq "$(ARCH)" "ia64"
IDFILES += src/x11.ia64
endif

ifeq "$(ARCH)" "x86_64"
IDFILES += src/x11.x86_64
endif

IDFILES += src/pci src/storage src/sound src/mouse src/braille

$(LIBHD_D): hd_ids.o
	ar r $(LIBHD) $?

check_hd: check_hd.c
	$(CC) $(CFLAGS) $< -o $@

hd_ids.c: hd_ids.h hd_ids_tiny.h

hd_ids.h hd.ids: check_hd $(IDFILES)
	./check_hd --check --sort --cfile hd_ids.h $(IDFILES)

hd_ids_tiny.h: check_hd hd.ids
	./check_hd --mini --cfile hd_ids_tiny.h --log=hd_tiny.log --out=hd_tiny.ids hd.ids

=== src/isdn/cdb/Makefile ===
TOPDIR		= ../../..
TARGETS		= isdn_cdb.h
CLEANFILES	= isdn_cdb isdn_cdb.h lex.yy.c ISDN.CDB.txt

include $(TOPDIR)/Makefile.common

ISDN.CDB.txt:
	if [ -f ISDN.$(ARCH).txt ]; then \
		ln -s ISDN.$(ARCH).txt ISDN.CDB.txt; \
	else \
		ln -s ISDN.ppc.txt ISDN.CDB.txt; \
	fi

isdn_cdb.h: isdn_cdb ISDN.CDB.txt
	rm -f isdn_cdb.h
	./isdn_cdb ISDN.CDB.txt isdn_cdb.h

lex.yy.c: isdn_cdb.lex
	lex isdn_cdb.lex

## hwinfo 8.38

=== Makefile ===
TOPDIR		= $(CURDIR)
SUBDIRS		= src
TARGETS		= hwinfo hwscan hwscand hwscanqueue
CLEANFILES	= hwinfo hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
LIBDIR		= /usr/lib
LIBS		= -lhd
SLIBS		= -lhd -lsysfs

include Makefile.common

SHARED_FLAGS	=
OBJS_NO_TINY	= names.o parallel.o modem.o

.PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc

hwscan: hwscan.o $(LIBHD)
	$(CC) hwscan.o $(LDFLAGS) $(LIBS) -o $@

hwinfo: hwinfo.o $(LIBHD)
	$(CC) hwinfo.o $(LDFLAGS) $(LIBS) -o $@

hwscand: hwscand.o
	$(CC) $< $(LDFLAGS) -o $@

hwscanqueue: hwscanqueue.o
	$(CC) $< $(LDFLAGS) -o $@

# kept for compatibility
shared:
	@make

tiny:
	@make EXTRA_FLAGS=-DLIBHD_TINY SHARED_FLAGS= LIBS="$(SLIBS)"

diet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

tinydiet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

uc:
	@make CC="/opt/i386-linux-uclibc/bin/i386-uclibc-gcc" EXTRA_FLAGS="-fno-pic -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

tinyuc:
	@make CC="/opt/i386-linux-uclibc/usr/bin/gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

static:
	make SHARED_FLAGS= LIBS="$(SLIBS)"

fullstatic: static
	$(CC) -static hwinfo.o $(LDFLAGS) $(SLIBS) -o hwinfo.static
	$(CC) -static hwscan.o $(LDFLAGS) $(SLIBS) -o hwscan.static
	strip -R .note -R .comment hwinfo.static
	strip -R .note -R .comment hwscan.static

doc:
	@cd doc ; doxygen libhd.doxy

install:
	install -d -m 755 $(DESTDIR)/usr/sbin $(DESTDIR)$(LIBDIR) \
		$(DESTDIR)/usr/include $(DESTDIR)/etc/init.d
	install -m 755 $(TARGETS) $(DESTDIR)/usr/sbin
	install -m 755 -s src/ids/check_hd $(DESTDIR)/usr/sbin
	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
	if [ -f $(LIBHD_SO) ] ; then \
		install $(LIBHD_SO) $(DESTDIR)$(LIBDIR) ; \
		ln -snf libhd.so.$(LIBHD_VERSION) $(DESTDIR)$(LIBDIR)/libhd.so.$(LIBHD_MAJOR_VERSION) ; \
		ln -snf libhd.so.$(LIBHD_MAJOR_VERSION) $(DESTDIR)$(LIBDIR)/libhd.so ; \
	else \
		install -m 644 $(LIBHD) $(DESTDIR)$(LIBDIR) ; \
	fi
	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
	install -m 755 hwbootscan getsysinfo $(DESTDIR)/usr/sbin
	install -m 755 hwbootscan.rc $(DESTDIR)/etc/init.d/hwscan
	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/hwinfo
	install -m 644 src/isdn/cdb/ISDN.CDB.txt $(DESTDIR)/usr/share/hwinfo
	install -m 644 src/isdn/cdb/ISDN.CDB.hwdb $(DESTDIR)/usr/share/hwinfo

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include $(TOPDIR)/Makefile.common
 
 ifneq "$(findstring $(ARCH), i386 x86_64 ia64)" ""
-SUBDIRS	+= int10
+SUBDIRS	+= x86emu int10
 endif
 
 #ifeq "$(findstring $(ARCH), i386 alpha)" ""
@@ -22,7 +22,7 @@
 ifdef SHARED_FLAGS
 $(LIBHD_SO): $(LIBHD)
 	echo $(SHARED_FLAGS)
-	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
+	$(CC) -shared -lsysfs -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
 		-Wl,-soname=libhd.so.$(LIBHD_MAJOR_VERSION) \
 		-o $(LIBHD_SO) 
 	ln -snf libhd.so.$(LIBHD_VERSION) libhd.so.$(LIBHD_MAJOR_VERSION)

=== src/ids/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 endif
 
 ifeq "$(ARCH)" "x86_64"
-IDFILES += src/x11.x86_64
+IDFILES += src/x11.amd64
 endif
 
 IDFILES += src/pci src/storage src/sound src/mouse src/braille

## hwinfo 12.9

=== Makefile ===
TOPDIR		= $(CURDIR)
SUBDIRS		= src
TARGETS		= hwinfo
CLEANFILES	= hwinfo hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
LIBDIR		= /usr/lib
ULIBDIR		= $(LIBDIR)
LIBS		= -lhd
SLIBS		= -lhd -lsysfs -ldbus-1 -lhal
TLIBS		= -lhd_tiny -lsysfs -ldbus-1 -lhal
SO_LIBS		= -lsysfs -ldbus-1 -lhal
TSO_LIBS	= -lsysfs -ldbus-1 -lhal

export SO_LIBS

include Makefile.common

SHARED_FLAGS	=
OBJS_NO_TINY	= names.o parallel.o modem.o

.PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc

hwscan: hwscan.o $(LIBHD)
	$(CC) hwscan.o $(LDFLAGS) $(LIBS) -o $@

hwinfo: hwinfo.o $(LIBHD)
	$(CC) hwinfo.o $(LDFLAGS) $(LIBS) -o $@

hwscand: hwscand.o
	$(CC) $< $(LDFLAGS) -o $@

hwscanqueue: hwscanqueue.o
	$(CC) $< $(LDFLAGS) -o $@

# kept for compatibility
shared:
	@make

tiny:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)"

tinyinstall:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)" install

tinystatic:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny SHARED_FLAGS= LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)"

diet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

tinydiet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

uc:
	@make CC="/opt/i386-linux-uclibc/bin/i386-uclibc-gcc" EXTRA_FLAGS="-fno-pic -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

tinyuc:
	@make CC="/opt/i386-linux-uclibc/usr/bin/gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

static:
	make SHARED_FLAGS= LIBS="$(SLIBS)"

fullstatic: static
	$(CC) -static hwinfo.o $(LDFLAGS) $(SLIBS) -o hwinfo.static
	strip -R .note -R .comment hwinfo.static

doc:
	@cd doc ; doxygen libhd.doxy

install:
	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR)\
		$(DESTDIR)/usr/include
	install -m 755 hwinfo $(DESTDIR)/usr/sbin
	install -m 755 -s src/ids/check_hd $(DESTDIR)/usr/sbin
	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
	if [ -f $(LIBHD_SO) ] ; then \
		install $(LIBHD_SO) $(DESTDIR)$(ULIBDIR) ; \
		ln -snf $(LIBHD_NAME) $(DESTDIR)$(ULIBDIR)/$(LIBHD_SONAME) ; \
		ln -snf $(LIBHD_SONAME) $(DESTDIR)$(ULIBDIR)/$(LIBHD_BASE).so ; \
	else \
		install -m 644 $(LIBHD) $(DESTDIR)$(ULIBDIR) ; \
	fi
	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
	install -m 755 getsysinfo $(DESTDIR)/usr/sbin
	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/hwinfo
	install -m 644 src/isdn/cdb/ISDN.CDB.txt $(DESTDIR)/usr/share/hwinfo
	install -m 644 src/isdn/cdb/ISDN.CDB.hwdb $(DESTDIR)/usr/share/hwinfo

## hwinfo 13.41

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 TOPDIR		= $(CURDIR)
 SUBDIRS		= src
-TARGETS		= hwinfo
-CLEANFILES	= hwinfo hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
+TARGETS		= hwinfo hwinfo.pc
+CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
 LIBDIR		= /usr/lib
 ULIBDIR		= $(LIBDIR)
 LIBS		= -lhd
-SLIBS		= -lhd -lsysfs -ldbus-1 -lhal
-TLIBS		= -lhd_tiny -lsysfs -ldbus-1 -lhal
-SO_LIBS		= -lsysfs -ldbus-1 -lhal
-TSO_LIBS	= -lsysfs -ldbus-1 -lhal
+SLIBS		= -lhd -ldbus-1 -lhal
+TLIBS		= -lhd_tiny -ldbus-1 -lhal
+SO_LIBS		= -ldbus-1 -lhal
+TSO_LIBS	= -ldbus-1 -lhal
 
 export SO_LIBS
 
@@ -30,6 +30,10 @@
 
 hwscanqueue: hwscanqueue.o
 	$(CC) $< $(LDFLAGS) -o $@
+
+hwinfo.pc: hwinfo.pc.in
+	VERSION=`cat VERSION`; \
+	sed -e "s,@VERSION@,$${VERSION},g" -e 's,@LIBDIR@,$(ULIBDIR),g;s,@LIBS@,$(LIBS),g' $< > $@.tmp && mv $@.tmp $@
 
 # kept for compatibility
 shared:
@@ -67,10 +71,10 @@
 	@cd doc ; doxygen libhd.doxy
 
 install:
-	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR)\
-		$(DESTDIR)/usr/include
+	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR) \
+		$(DESTDIR)$(ULIBDIR)/pkgconfig $(DESTDIR)/usr/include
 	install -m 755 hwinfo $(DESTDIR)/usr/sbin
-	install -m 755 -s src/ids/check_hd $(DESTDIR)/usr/sbin
+	install -m 755 src/ids/check_hd $(DESTDIR)/usr/sbin
 	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
 	if [ -f $(LIBHD_SO) ] ; then \
 		install $(LIBHD_SO) $(DESTDIR)$(ULIBDIR) ; \
@@ -79,6 +83,7 @@
 	else \
 		install -m 644 $(LIBHD) $(DESTDIR)$(ULIBDIR) ; \
 	fi
+	install -m 644 hwinfo.pc $(DESTDIR)$(ULIBDIR)/pkgconfig
 	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
 	install -m 755 getsysinfo $(DESTDIR)/usr/sbin
 	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin

=== src/Makefile ===
TOPDIR		= ..
SUBDIRS		= hd isdn ids
TARGETS		= touch $(LIBHD) $(LIBHD_SO)
CLEANFILES	= $(LIBHD) $(LIBHD_D) $(LIBHD_SO) *.so *.so.* *.a

.PHONY: touch

include $(TOPDIR)/Makefile.common

ifneq "$(findstring $(ARCH), i386 x86_64 ia64)" ""
ifneq ($(LIBHD_BASE), libhd_tiny)
SUBDIRS	+= x86emu int10
endif
endif

#ifeq "$(findstring $(ARCH), i386 alpha)" ""
#SUBDIRS	:= $(filter-out pnpdump, $(SUBDIRS))
#endif

$(LIBHD): $(OBJS)
	ar r $@ $?
	@rm -f $(LIBHD_D)

ifdef SHARED_FLAGS
$(LIBHD_SO): $(LIBHD)
	$(CC) -shared $(SO_LIBS) -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
		-Wl,-soname=$(LIBHD_SONAME) \
		-o $(LIBHD_SO) 
	ln -snf $(LIBHD_NAME) $(LIBHD_SONAME)
	ln -snf $(LIBHD_SONAME) $(LIBHD_BASE).so
else
$(LIBHD_SO):
endif

subdirs: touch

touch:
	@touch -r $(LIBHD) $(LIBHD_D) 2>/dev/null || true

=== src/hd/Makefile ===
TOPDIR		= ../..
TARGETS		= $(LIBHD_D)
CLEANFILES	= version.h

include $(TOPDIR)/Makefile.common

CFLAGS		+= -I /usr/include/dbus-1.0 -I /usr/lib64/dbus-1.0/include -I /usr/lib/dbus-1.0/include

version.h: $(TOPDIR)/VERSION
	@echo "#define HD_VERSION_STRING \"`cat $(TOPDIR)/VERSION`\"" >$@

hd.h: $(TOPDIR)/VERSION
	@perl -pi -e "s/define\s+HD_VERSION\s+\d+/define HD_VERSION\t$(LIBHD_MAJOR_VERSION)/" $@

$(LIBHD_D): $(OBJS)
	ar r $(LIBHD) $?

=== src/int10/Makefile ===
TOPDIR	= ../..
TARGETS	= $(LIBHD_D)

include $(TOPDIR)/Makefile.common

$(LIBHD_D): $(OBJS)
	ar r $(LIBHD) $?

i10_v86.o: i10_v86.c
	$(CC) -c $(CFLAGS) -fno-strict-aliasing $<

=== src/x86emu/Makefile ===
#############################################################################
#
#						Realmode X86 Emulator Library
#
#            	Copyright (C) 1996-1999 SciTech Software, Inc.
#
#  ========================================================================
#
#  Permission to use, copy, modify, distribute, and sell this software and
#  its documentation for any purpose is hereby granted without fee,
#  provided that the above copyright notice appear in all copies and that
#  both that copyright notice and this permission notice appear in
#  supporting documentation, and that the name of the authors not be used
#  in advertising or publicity pertaining to distribution of the software
#  without specific, written prior permission.  The authors makes no
#  representations about the suitability of this software for any purpose.
#  It is provided "as is" without express or implied warranty.
#
#  THE AUTHORS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
#  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
#  EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#  USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
#  PERFORMANCE OF THIS SOFTWARE.
#
#  ========================================================================
#
# Descripton:   Linux specific makefile for the x86emu library.
#
#############################################################################

TARGETLIB = ../libhd.a
TARGETDEBUGLIB = ../libx86emud.a

OBJS=\
debug.o \
decode.o \
fpu.o \
ops.o \
ops2.o \
prim_ops.o \
sys.o

DEBUGOBJS=debug.d \
          decode.d \
	  fpu.d \
	  ops.d \
	  ops2.d \
	  prim_ops.d \
	  sys.d

.SUFFIXES: .d

all: $(TARGETLIB)

$(TARGETLIB): $(OBJS)
# prefix objects with x86emu_
	@for i in $? ; do cp -p $$i x86emu_$$i ; ar rv $@ x86emu_$$i || exit ; rm -f x86emu_$$i ; done

$(TARGETDEBUGLIB): $(DEBUGOBJS)
	ar rv $(TARGETDEBUGLIB) $(DEBUGOBJS)

INCS   = -I. -Ix86emu -Iinclude
CFLAGS += -D__DRIVER__ -DFORCE_POST -D_CEXPORT= -DNO_LONG_LONG
CDEBUGFLAGS = -DDEBUG

.c.o:
	gcc -c $(CFLAGS) $(INCS) $*.c

.c.d:
	gcc -c -o$*.d $(CFLAGS) $(CDEBUGFLAGS) $(INCS) $*.c

.cpp.o:
	gcc -c $(CFLAGS) $(INCS) $*.cpp

install: all

distclean: clean
	@rm -f *~

clean:
	@rm -f *.o *.d

validate:	validate.o ../libx86emu.a
	gcc -o validate validate.o -lx86emu -L..

## hwinfo 14.19

=== src/ids/Makefile ===
--- 
+++ 
@@ -5,16 +5,20 @@
 
 include $(TOPDIR)/Makefile.common
 
-ifeq "$(ARCH)" "ia64"
-IDFILES += src/ia64
-endif
+# ifeq "$(ARCH)" "ppc"
+# IDFILES += src/ppc
+# endif
+
+# ifeq "$(ARCH)" "ppc64"
+# IDFILES += src/ppc
+# endif
 
 IDFILES	+= src/bus src/class src/extra src/special src/scanner src/network \
 	  src/usb src/usb2 src/isapnp src/monitor src/camera src/tv src/dvb \
 	  src/chipcard src/modem src/pcmcia src/s390
 
 ifeq "$(ARCH)" "i386"
-IDFILES += src/x11.i386
+IDFILES += src/x11.i386 src/modem.i386
 endif
 
 ifeq "$(ARCH)" "ppc"

## hwinfo 21.6

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,39 @@
 TOPDIR		= $(CURDIR)
 SUBDIRS		= src
-TARGETS		= hwinfo hwinfo.pc
+TARGETS		= hwinfo hwinfo.pc changelog
 CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
 LIBDIR		= /usr/lib
 ULIBDIR		= $(LIBDIR)
 LIBS		= -lhd
-SLIBS		= -lhd -ldbus-1 -lhal
-TLIBS		= -lhd_tiny -ldbus-1 -lhal
-SO_LIBS		= -ldbus-1 -lhal
-TSO_LIBS	= -ldbus-1 -lhal
+SLIBS		= -lhd
+TLIBS		= -lhd_tiny
+SO_LIBS		=
+TSO_LIBS	=
 
 export SO_LIBS
 
+GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
+GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
+
+VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
+
 include Makefile.common
+
+# ia64
+ifneq ($(filter i386 x86_64, $(ARCH)),)
+SLIBS		+= -lx86emu
+TLIBS		+= -lx86emu
+SO_LIBS		+= -lx86emu
+TSO_LIBS	+= -lx86emu
+endif
 
 SHARED_FLAGS	=
 OBJS_NO_TINY	= names.o parallel.o modem.o
 
 .PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc
+
+changelog: $(GITDEPS)
+	$(GIT2LOG) --changelog changelog
 
 hwscan: hwscan.o $(LIBHD)
 	$(CC) hwscan.o $(LDFLAGS) $(LIBS) -o $@
@@ -31,7 +47,7 @@
 hwscanqueue: hwscanqueue.o
 	$(CC) $< $(LDFLAGS) -o $@
 
-hwinfo.pc: hwinfo.pc.in
+hwinfo.pc: hwinfo.pc.in VERSION
 	VERSION=`cat VERSION`; \
 	sed -e "s,@VERSION@,$${VERSION},g" -e 's,@LIBDIR@,$(ULIBDIR),g;s,@LIBS@,$(LIBS),g' $< > $@.tmp && mv $@.tmp $@

=== src/Makefile ===
TOPDIR		= ..
SUBDIRS		= hd isdn ids
TARGETS		= touch $(LIBHD) $(LIBHD_SO)
CLEANFILES	= $(LIBHD) $(LIBHD_D) $(LIBHD_SO) *.so *.so.* *.a

.PHONY: touch

include $(TOPDIR)/Makefile.common

#ifeq "$(findstring $(ARCH), i386 alpha)" ""
#SUBDIRS	:= $(filter-out pnpdump, $(SUBDIRS))
#endif

$(LIBHD): $(OBJS)
	ar r $@ $?
	@rm -f $(LIBHD_D)

ifdef SHARED_FLAGS
$(LIBHD_SO): $(LIBHD)
	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
		-Wl,-soname=$(LIBHD_SONAME) \
		-o $(LIBHD_SO) $(SO_LIBS) 
	ln -snf $(LIBHD_NAME) $(LIBHD_SONAME)
	ln -snf $(LIBHD_SONAME) $(LIBHD_BASE).so
else
$(LIBHD_SO):
endif

subdirs: touch

touch:
	@touch -r $(LIBHD) $(LIBHD_D) 2>/dev/null || true

=== debian/changelog ===
hwinfo (21.6-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream release.

  [ Sebastien Badia ]
  * d/copyright: Update copyright header.
  * Re-introduce upstream changelog (Thanks Johann).
  * d/control: Bump Standards-Version to 3.9.6 (no changes).

 -- Sebastien Badia <seb@sebian.fr>  Tue, 07 Oct 2014 11:44:23 +0200

hwinfo (21.3-1) unstable; urgency=low

  [ Sebastien Badia ]
  * New upstream release
  * Update libhd21 symbols (add meminfo_xen@Base)
  * d/control: drop linux-kernel-headers build dependency

  [ Tomasz Buchert ]
  * d/control: restrict architectures (like in libx86emu)
  * restrict archs to amd64 i386 armel armhf (Closes: #742298)
  * hide symbols that are not compiled on ARMs (Closes: #742297)

 -- Sebastien Badia <seb@sebian.fr>  Tue, 08 Apr 2014 02:57:46 +0200

hwinfo (21.0-1) unstable; urgency=low

  * New Upstream release 21.0 (closes: #677102)
  * New maintainer, add Vcs-* and Homepage fields (closes: #662731)
  * Update upstream info, correct debian watch file (closes: #667846)
  * Stop using HAL (closes: #613184)
  * Fix DBus assertion errors (upstream) (closes: #661994)
  * Countless package improvements
    * Switch debian/copyright to format 1.0 (machine-readable)
    * Update dh compat level to 9 and bump Standards-Version to 3.9.5
    * Renamed libhd16{-dev,-doc} to libhd20{-dev,-doc} according to new soname.
  * Many fixes to Lintian problems
    * Remove BSD licence (src/int10/AsmMacros.h don't exist anymore)
    * Remove obsolete sparc_kioc and serial_struct patches
    * Quilt refresh patches (cpu.c-alpha_bogo,dbus_pkg_config.patch,
      hwinfo.8-strip_suse,kbd.c-tiocgdev_undefined,sh_support.patch)
    * "gbp pq import" more friendly patches now.
    * patch as-needed patch is managed by upstream now,
      remove ftbfs (src/int10/i10_v86.c doesn't exist)
    * patches Refresh fix_segfault_in_hd_is_xen_on_amd64
    * Clean useless readme

 -- Sebastien Badia <seb@sebian.fr>  Sun, 16 Mar 2014 12:58:41 +0100

hwinfo (16.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch fix_segfault_in_hd_is_xen_on_amd64 which fixes segfaults
    on amd64. Thanks Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
    (Closes: #652146)

 -- Michael Prokop <mika@debian.org>  Mon, 16 Jan 2012 11:02:29 +0100

hwinfo (16.0-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Simon McVittie ]
  * Use pkg-config for D-Bus' cpp flags instead of hard-coding them
    (Closes: #634451, LP: #749278)

  [ Ilya Barygin ]
  * as-needed.patch: fix FTBFS with --as-needed linker option.
  (Closes: #640202)

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Dec 2011 17:10:26 +0100

hwinfo (16.0-2) unstable; urgency=low

  * Added the patch to port to sh4 (Closes: #546151).
  * Updated Standards Version to 3.8.3.
  * Added README.source (quilt).
  * Modified debian/rules to fix FTBFS (Closes: #538551).

 -- William Vera <billy@billy.com.mx>  Sat, 24 Oct 2009 19:20:16 -0500

hwinfo (16.0-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd15 to libhd16 according to new soname.
  * Updated the watch file

 -- William Vera <billy@billy.com.mx>  Mon, 08 Jun 2009 22:18:36 -0500

hwinfo (15.3-2) unstable; urgency=low

  * Renamed libhd15-doc and libhd15-dev.
  * Library packages are now co-installable (Closes: #495866).
  * Updated Standards-Version to 3.8.1.
  * Updated compat to 5.
  * Updated debhelper version in control file.
  * Deleted useless manpage into debian path.
  * Added BSD License at copyright file to src/int10/AsmMacros.h.
  * Added a patch from gentoo to fix the FTBFS issue. (Closes: #528578).
  * Updated the GPL License version at the copyright file.

 -- William Vera <billy@billy.com.mx>  Wed, 13 May 2009 14:40:42 -0500

hwinfo (15.3-1) unstable; urgency=low

  * New upstream release
  * Renamed libhd14 to libhd15 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 10 Aug 2008 14:24:34 -0500

hwinfo (14.19-2) unstable; urgency=low

  * Fixed quilt option (-p0) (Closes: 485256)
  * Updated Standards Version to 3.8.0

 -- William Vera <billy@billy.com.mx>  Fri, 13 Jun 2008 19:53:16 -0500

hwinfo (14.19-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Fri, 06 Jun 2008 18:48:44 -0500

hwinfo (14.17-1) unstable; urgency=low

  * New upstream release (Closes: #438700)
  * Updated libhd13-doc control file.
  * Corrected spelling error in the control file Debian-Edu Debian Edu.
  * Updated copyright with the upstream information.
  * Renamed libhd13 to libhd14 according to new soname.

 -- William Vera <billy@billy.com.mx>  Sun, 25 May 2008 19:14:49 -0500

hwinfo (13.41-1) unstable; urgency=low

  * New upstream release

 -- William Vera <billy@billy.com.mx>  Thu, 09 Aug 2007 09:34:01 -0500

hwinfo (13.39-1) unstable; urgency=low

  * New upstream release
  * Added command in debian/rules to erase .pc, related with quilt

 -- William Vera <billy@billy.com.mx>  Wed, 01 Aug 2007 05:03:00 -0500

hwinfo (13.35-2) unstable; urgency=low

  * New maintainer (Closes: #412637).
  * Changed deprecated variables at control file.

 -- William Vera <billy@billy.com.mx>  Tue, 03 Jul 2007 01:16:03 -0500

hwinfo (13.35-1) unstable; urgency=low

  * New upstream releases.
  * Refresh patches against new upstream
  * Update debian/watch to handle multi-digit revisions of a single version of
    the upstream source rpm.
  * Orphan package.
    - Set maintainer to Debian QA Group

 -- James Vega <jamessan@debian.org>  Mon, 18 Jun 2007 20:54:02 +0100

hwinfo (13.28-1) unstable; urgency=low

  * New upstream releases.
    - Fixes usage of x86 asm on non-x86 architectures
      (Closes: #412713, #414723)

 -- James Vega <jamessan@debian.org>  Tue, 13 Mar 2007 10:38:19 -0400

hwinfo (13.23-1) unstable; urgency=low

  * New upstream releases
  * debian/rules: Add a get-orig-source target which fetches the upstream RPM
    and repacks as a tarball.



=== debian/control ===
Source: hwinfo
Section: admin
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
Build-Depends: debhelper (>= 9),
               doxygen,
               flex,
               libdbus-1-dev,
               libx86emu-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/openSUSE/hwinfo
Vcs-Git: git://anonscm.debian.org/collab-maint/hwinfo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hwinfo.git

Package: hwinfo
Architecture: amd64 armel armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Hardware identification system
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package does not include the binaries hwscan, hwscand and hwscanqueue. If
 you think one or more of these should be included in the package, please
 contact the maintainer at hwinfo@packages.debian.org.

Package: libhd21
Section: libs
Architecture: amd64 armel armhf i386
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Hardware identification system library
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the shared library from the hwinfo package.

Package: libhd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Enhances: libhd-dev
Provides: libhd12-doc,
          libhd13-doc,
          libhd14-doc,
          libhd15-doc,
          libhd16-doc,
          libhd20-doc,
          libhd21-doc
Description: Hardware identification system library documentation
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the documentation for the libhd21-dev package.

Package: libhd-dev
Section: libdevel
Architecture: amd64 armel armhf i386
Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
Suggests: libhd-doc
Provides: libhd12-dev,
          libhd13-dev,
          libhd14-dev,
          libhd15-dev,
          libhd16-dev,
          libhd20-dev,
          libhd21-dev
Multi-Arch: same
Description: Hardware identification system library and headers
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the static library and header files from the hwinfo
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

# this is passed to patched hwinfo Makefile
export HWINFO_VERSION=$(VERSION)

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -A README

gen-upstream-changelog:
	bash debian/gen-upstream-changelog.sh $(VERSION)

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

## hwinfo 21.19

=== src/hd/Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 CLEANFILES	= version.h
 
 include $(TOPDIR)/Makefile.common
-
-CFLAGS		+= -I /usr/include/dbus-1.0 -I /usr/lib64/dbus-1.0/include -I /usr/lib/dbus-1.0/include
 
 version.h: $(TOPDIR)/VERSION
 	@echo "#define HD_VERSION_STRING \"`cat $(TOPDIR)/VERSION`\"" >$@

=== src/ids/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # endif
 
 IDFILES	+= src/bus src/class src/extra src/special src/scanner src/network \
-	  src/usb src/usb2 src/isapnp src/monitor src/camera src/tv src/dvb \
+	  src/usb src/usb2 src/isapnp src/monitor src/camera src/tv2 src/tv src/dvb2 src/dvb \
 	  src/chipcard src/modem src/pcmcia src/s390
 
 ifeq "$(ARCH)" "i386"

=== debian/changelog ===
hwinfo (21.19-1) unstable; urgency=medium

  * Imported Upstream version 21.19
  * d/control: build only on Linux
  * d/symbols: update symbols for sparc
  
 -- Tomasz Buchert <tomasz@debian.org>  Wed, 15 Jul 2015 20:11:09 +0200

hwinfo (21.14-2) unstable; urgency=medium

  * d/control: set Architecture to 'any' (Closes: #790497)
  * d/*.symbols: update symbols on new architectures

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 02 Jul 2015 00:24:23 +0200

hwinfo (21.14-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 21.14
  * d/gbp.conf: update
  * d/patches: refresh & cleanup
  * d/control: drop dependency on DBUS
  * d/libhd21.symbols: add a new symbol
  * Fix other build problems
  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 23 Jun 2015 14:55:51 +0200

hwinfo (21.12-1) experimental; urgency=medium

  [ Tomasz Buchert ]
  * d/patches: fix reproduciblity issues (Closes: #776717)

  [ Sebastien Badia ]
  * Imported Upstream version 21.12
  * d/control: Fix vcs-browser URL (use cgit)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 05 Mar 2015 15:03:04 +0100

hwinfo (21.11-1) unstable; urgency=low

  [ Tomasz Buchert ]
  * Imported Upstream version 21.11
  * d/patches: refreshed

  [ Sebastien Badia ]
  * d/CHANGELOG: Refresh upstream changelog
  * d/copyright: Refresh dates (copyright)

 -- Sebastien Badia <seb@sebian.fr>  Sun, 18 Jan 2015 17:12:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: admin
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
-Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 9),
                doxygen,
                flex,
-               libdbus-1-dev,
-               libx86emu-dev,
+               libx86emu-dev [amd64 i386],
                pkg-config
 Standards-Version: 3.9.6
 Homepage: https://github.com/openSUSE/hwinfo
 Vcs-Git: git://anonscm.debian.org/collab-maint/hwinfo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hwinfo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
 
 Package: hwinfo
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Hardware identification system
  hwinfo is the hardware detection tool used in SuSE Linux.
@@ -34,7 +33,7 @@
 
 Package: libhd21
 Section: libs
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -79,7 +78,7 @@
 
 Package: libhd-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386
+Architecture: linux-any
 Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
 Suggests: libhd-doc
 Provides: libhd12-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,20 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	make
+	make doc
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f VERSION
+
 override_dh_installdocs:
 	dh_installdocs -A README
 
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
+
+
 gen-upstream-changelog:
 	bash debian/gen-upstream-changelog.sh $(VERSION)
-
-override_dh_installchangelogs:
-	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

## hwinfo 21.23

=== src/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ifdef SHARED_FLAGS
 $(LIBHD_SO): $(LIBHD)
-	$(CC) -shared -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
+	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -Wl,--whole-archive $(LIBHD) -Wl,--no-whole-archive \
 		-Wl,-soname=$(LIBHD_SONAME) \
 		-o $(LIBHD_SO) $(SO_LIBS) 
 	ln -snf $(LIBHD_NAME) $(LIBHD_SONAME)

=== debian/changelog ===
hwinfo (21.23-1) unstable; urgency=medium

  * Imported Upstream version 21.23

 -- Sebastien Badia <seb@sebian.fr>  Fri, 16 Oct 2015 11:54:35 +0200

hwinfo (21.22-1) unstable; urgency=medium

  * Imported Upstream version 21.22

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 05 Oct 2015 13:24:23 +0200

hwinfo (21.21-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/gen-upstream-changelog: Update script

  [ Tomasz Buchert ]
  * d/rules: fix FTBFS

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 18:48:44 +0200

hwinfo (21.21-1) unstable; urgency=medium

  * Imported Upstream version 21.21
  * d/rules: replace jquery.js with a symlink
  * Override Lintian tags about typos

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Sep 2015 14:58:11 +0200

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
 Package: libhd-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Suggests: doc-base
 Enhances: libhd-dev
 Provides: libhd12-doc,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+# export DH_VERBOSE=1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -25,11 +27,16 @@
 	rm -f VERSION
 
 override_dh_installdocs:
-	dh_installdocs -A README
+	dh_installdocs -A README.md README-hwprobe.md README-legacy.md
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/CHANGELOG
 
+DOCDIR=debian/libhd-doc/usr/share/doc/libhd-doc/html
+override_dh_install-indep:
+	dh_install
+	rm $(DOCDIR)/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/jquery.js
 
 gen-upstream-changelog:
 	bash debian/gen-upstream-changelog.sh $(VERSION)

## hwinfo 21.27

=== debian/changelog ===
hwinfo (21.27-1) unstable; urgency=medium

  * Imported Upstream version 21.27
  * Bump Standards-Version to 3.9.8 (no changes)
  * Updated upstream changelog
  * Updated debian/patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 12 Jun 2016 18:34:23 +0200

hwinfo (21.23-2) unstable; urgency=medium

  * d/symbols:
      Update symbols file for alpha arch (Closes: #812698)
      Update symbols file for alpha sparc64 (Closes: #812697)
      Thanks Adrian!
  * d/control:
      Update debhelper dependency
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-git field (use https everywhere)

 -- Sebastien Badia <seb@sebian.fr>  Sat, 05 Mar 2016 18:59:20 -0300

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hwinfo-$1\.tar\.gz/ \
  https://github.com/openSUSE/hwinfo/tags .*/v?(\d\S*)\.tar\.gz

## hwinfo 21.32

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,6 @@
 SUBDIRS		= src
 TARGETS		= hwinfo hwinfo.pc changelog
 CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
-LIBDIR		= /usr/lib
-ULIBDIR		= $(LIBDIR)
 LIBS		= -lhd
 SLIBS		= -lhd
 TLIBS		= -lhd_tiny
@@ -14,10 +12,22 @@
 
 GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
 GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
-
+BRANCH  := $(shell [ -d .git ] && git branch | perl -ne 'print $$_ if s/^\*\s*//')
+ifdef HWINFO_VERSION
+VERSION := $(shell echo ${HWINFO_VERSION} > VERSION; cat VERSION)
+else
 VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
+endif
+PREFIX  := hwinfo-$(VERSION)
 
 include Makefile.common
+
+ifeq "$(ARCH)" "x86_64"
+LIBDIR		?= /usr/lib64
+else
+LIBDIR		?= /usr/lib
+endif
+ULIBDIR		= $(LIBDIR)
 
 # ia64
 ifneq ($(filter i386 x86_64, $(ARCH)),)
@@ -32,20 +42,25 @@
 
 .PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc
 
+ifdef HWINFO_VERSION
+changelog:
+	@true
+else
 changelog: $(GITDEPS)
 	$(GIT2LOG) --changelog changelog
+endif
 
 hwscan: hwscan.o $(LIBHD)
-	$(CC) hwscan.o $(LDFLAGS) $(LIBS) -o $@
+	$(CC) hwscan.o $(LDFLAGS) $(CFLAGS) $(LIBS) -o $@
 
 hwinfo: hwinfo.o $(LIBHD)
-	$(CC) hwinfo.o $(LDFLAGS) $(LIBS) -o $@
+	$(CC) hwinfo.o $(LDFLAGS) $(CFLAGS) $(LIBS) -o $@
 
 hwscand: hwscand.o
-	$(CC) $< $(LDFLAGS) -o $@
+	$(CC) $< $(LDFLAGS) $(CFLAGS) -o $@
 
 hwscanqueue: hwscanqueue.o
-	$(CC) $< $(LDFLAGS) -o $@
+	$(CC) $< $(LDFLAGS) $(CFLAGS) -o $@
 
 hwinfo.pc: hwinfo.pc.in VERSION
 	VERSION=`cat VERSION`; \
@@ -107,3 +122,10 @@
 	install -m 644 src/isdn/cdb/ISDN.CDB.txt $(DESTDIR)/usr/share/hwinfo
 	install -m 644 src/isdn/cdb/ISDN.CDB.hwdb $(DESTDIR)/usr/share/hwinfo
 
+archive: changelog
+	@if [ ! -d .git ] ; then echo no git repo ; false ; fi
+	mkdir -p package
+	git archive --prefix=$(PREFIX)/ $(BRANCH) > package/$(PREFIX).tar
+	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog
+	xz -f package/$(PREFIX).tar
+

=== debian/changelog ===
hwinfo (21.32-1) unstable; urgency=medium

  * New upstream version 21.32

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 25 Oct 2016 21:29:05 +0200

hwinfo (21.30-1) unstable; urgency=medium

  * New upstream version 21.30
  * Updated upstream changelog

 -- Sebastien Badia <seb@sebian.fr>  Sat, 03 Sep 2016 09:44:39 +0200

## hwinfo 21.37

=== debian/changelog ===
hwinfo (21.37-1) unstable; urgency=medium

  * New upstream version 21.37

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Nov 2016 17:15:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9~),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/openSUSE/hwinfo
-Vcs-Git: git://anonscm.debian.org/collab-maint/hwinfo.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
 
 Package: hwinfo

## hwinfo 21.38

=== debian/changelog ===
hwinfo (21.38-1) unstable; urgency=medium

  * New upstream version 21.38
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 10 Dec 2016 14:57:05 +0100

## hwinfo 21.39

=== debian/changelog ===
hwinfo (21.39-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * New upstream version 21.39
  * d/patches: refresh
  * d/*: debhelper 10 and watch 4

  [ Sebastien Badia ]
  * d/control: Migrate to my Debian email
  * d/dirs: Create hwinfo default backup dirs (LP: #1657544)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 15 Apr 2017 12:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hwinfo
 Section: admin
 Priority: optional
-Maintainer: Sebastien Badia <seb@sebian.fr>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],

## hwinfo 21.40

=== debian/changelog ===
hwinfo (21.40-1) unstable; urgency=medium

  * New upstream version 21.40
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 01 May 2017 12:51:12 +0200

## hwinfo 21.42

=== debian/changelog ===
hwinfo (21.42-1) unstable; urgency=medium

  * New upstream version 21.42
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 05 May 2017 19:37:17 +0200

## hwinfo 21.46

=== debian/changelog ===
hwinfo (21.46-1) unstable; urgency=medium

  * New upstream version 21.46
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 May 2017 08:55:17 +0200

## hwinfo 21.47

=== Makefile ===
--- 
+++ 
@@ -124,8 +124,9 @@
 
 archive: changelog
 	@if [ ! -d .git ] ; then echo no git repo ; false ; fi
+	make -C src/hd hd.h
 	mkdir -p package
 	git archive --prefix=$(PREFIX)/ $(BRANCH) > package/$(PREFIX).tar
-	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog
+	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog src/hd/hd.h
 	xz -f package/$(PREFIX).tar

=== src/isdn/cdb/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 TOPDIR		= ../../..
-TARGETS		= isdn_cdb.h
-CLEANFILES	= isdn_cdb isdn_cdb.h lex.yy.c ISDN.CDB.txt
+TARGETS		= mk_isdnhwdb isdn_cdb.h ISDN.CDB.hwdb
+CLEANFILES	= isdn_cdb isdn_cdb.h lex.yy.c ISDN.CDB.txt mk_isdnhwdb ISDN.CDB.hwdb
 
 include $(TOPDIR)/Makefile.common
 
@@ -17,3 +17,17 @@
 
 lex.yy.c: isdn_cdb.lex
 	lex isdn_cdb.lex
+
+isdn_cdb: isdn_cdb.o cdb_read.o
+
+mk_isdnhwdb: mk_isdnhwdb.o cdb_read.o
+
+cdb_read.o: cdb_read.c cdb_read.h
+
+isdn_cdb.o: isdn_cdb.c cdb_read.h lex.yy.c
+
+mk_isdnhwdb.o: mk_isdnhwdb.c cdb_read.h lex.yy.c
+
+ISDN.CDB.hwdb: mk_isdnhwdb ISDN.CDB.txt
+	rm -f  ISDN.CDB.hwdb
+	./mk_isdnhwdb ISDN.CDB.txt ISDN.CDB.hwdb

=== debian/changelog ===
hwinfo (21.47-1) unstable; urgency=medium

  * New upstream version 21.47
  * Updated upstream changelog
  * Updated std-ver to 4.0.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 16 Aug 2017 23:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/openSUSE/hwinfo
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git

## hwinfo 21.50

=== debian/changelog ===
hwinfo (21.50-1) unstable; urgency=medium

  * New upstream version 21.50
  * Updated upstream changelog
  * Updated std-ver to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 29 Oct 2017 09:29:02 +0100

hwinfo (21.49-1) unstable; urgency=medium

  * New upstream version 21.49
  * Updated upstream changelog
  * Use /bin/udevadm instead of /sbin/udevadm (Closes: #852593)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 19 Sep 2017 00:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/openSUSE/hwinfo
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git

## hwinfo 21.51

=== debian/changelog ===
hwinfo (21.51-1) unstable; urgency=medium

  * New upstream version 21.51 (Closes: #886952)
  * Update VCS links to salsa
  * Updated std-ver to 4.1.3 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 14 Jan 2018 14:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/openSUSE/hwinfo
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hwinfo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hwinfo.git
+Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
+Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 
 Package: hwinfo
 Architecture: linux-any

## hwinfo 21.52

=== Makefile ===
--- 
+++ 
@@ -119,6 +119,7 @@
 	install -m 755 getsysinfo $(DESTDIR)/usr/sbin
 	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin
 	install -d -m 755 $(DESTDIR)/usr/share/hwinfo
+	install -d -m 755 $(DESTDIR)/var/lib/hardware/udi
 	install -m 644 src/isdn/cdb/ISDN.CDB.txt $(DESTDIR)/usr/share/hwinfo
 	install -m 644 src/isdn/cdb/ISDN.CDB.hwdb $(DESTDIR)/usr/share/hwinfo

=== src/hd/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 hd.h: $(TOPDIR)/VERSION
 	@perl -pi -e "s/define\s+HD_VERSION\s+\d+/define HD_VERSION\t$(LIBHD_MAJOR_VERSION)/" $@
+	@perl -pi -e "s/define\s+HD_MINOR_VERSION\s+\d+/define HD_MINOR_VERSION\t$(LIBHD_MINOR_VERSION)/" $@
 
 $(LIBHD_D): $(OBJS)
 	ar r $(LIBHD) $?

=== debian/changelog ===
hwinfo (21.52-1) unstable; urgency=medium

  * New upstream version 21.52
  * Use debhelper at compat 11

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 12 Feb 2018 17:56:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 # export DH_VERBOSE=1
 
-DPKG_EXPORT_BUILDFLAGS = 1
+#export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
+DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## hwinfo 21.55

=== debian/changelog ===
hwinfo (21.55-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.55

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 16 Jun 2018 15:54:32 +0200

hwinfo (21.53-1) unstable; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.53

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 May 2018 15:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
